path: /build/build/gitea-www-apps-1.21.10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-apps/gitea -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps www-apps/gitea
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gitea && luet-portage --dir /pkgdir/gitea
    www-apps/gitea && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:fac5f20a34dd06d18779588f92e4aa714b8e2e342f3077146db10cc5ef098242
  package:
    name: gitea
    version: 1.21.10
    category: www-apps
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A painless self-hosted Git service
    uri:
    - https://gitea.com https://github.com/go-gitea/gitea
    license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
    buildtimestamp: 2024-04-05 00:16:49.602852787 +0000 UTC m=+394.967417609
    labels:
      BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
      DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: systemd +filecaps
      RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
      emerge.packages: www-apps/gitea
      kit: net-kit
      original.package.name: www-apps/gitea
      original.package.slot: "0"
      original.package.version: 1.21.10
    treedir: /build/packages
  package_dir: /pkgdir/gitea
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bb720abe58826e1ba5342ffb27a92ff730b95d50df5a60a7400db5b91b54fef1
compressiontype: zstd
files:
- etc/conf.d/gitea
- etc/gitea/app.ini
- etc/init.d/gitea
- usr/bin/gitea
- usr/lib/tmpfiles.d/gitea.conf
- usr/share/doc/gitea-1.21.10/CHANGELOG.md.bz2
- usr/share/doc/gitea-1.21.10/CONTRIBUTING.md.bz2
- usr/share/doc/gitea-1.21.10/README.md.bz2
- usr/share/doc/gitea-1.21.10/app.example.ini.bz2
- var/db/pkg/www-apps/gitea-1.21.10/BDEPEND
- var/db/pkg/www-apps/gitea-1.21.10/BUILD_TIME
- var/db/pkg/www-apps/gitea-1.21.10/CATEGORY
- var/db/pkg/www-apps/gitea-1.21.10/CBUILD
- var/db/pkg/www-apps/gitea-1.21.10/CFLAGS
- var/db/pkg/www-apps/gitea-1.21.10/CHOST
- var/db/pkg/www-apps/gitea-1.21.10/CONTENTS
- var/db/pkg/www-apps/gitea-1.21.10/COUNTER
- var/db/pkg/www-apps/gitea-1.21.10/CXXFLAGS
- var/db/pkg/www-apps/gitea-1.21.10/DEFINED_PHASES
- var/db/pkg/www-apps/gitea-1.21.10/DEPEND
- var/db/pkg/www-apps/gitea-1.21.10/DESCRIPTION
- var/db/pkg/www-apps/gitea-1.21.10/EAPI
- var/db/pkg/www-apps/gitea-1.21.10/FEATURES
- var/db/pkg/www-apps/gitea-1.21.10/HOMEPAGE
- var/db/pkg/www-apps/gitea-1.21.10/INHERITED
- var/db/pkg/www-apps/gitea-1.21.10/IUSE
- var/db/pkg/www-apps/gitea-1.21.10/IUSE_EFFECTIVE
- var/db/pkg/www-apps/gitea-1.21.10/KEYWORDS
- var/db/pkg/www-apps/gitea-1.21.10/LDFLAGS
- var/db/pkg/www-apps/gitea-1.21.10/LICENSE
- var/db/pkg/www-apps/gitea-1.21.10/NEEDED
- var/db/pkg/www-apps/gitea-1.21.10/PF
- var/db/pkg/www-apps/gitea-1.21.10/RDEPEND
- var/db/pkg/www-apps/gitea-1.21.10/REQUIRES
- var/db/pkg/www-apps/gitea-1.21.10/RESTRICT
- var/db/pkg/www-apps/gitea-1.21.10/SIZE
- var/db/pkg/www-apps/gitea-1.21.10/SLOT
- var/db/pkg/www-apps/gitea-1.21.10/USE
- var/db/pkg/www-apps/gitea-1.21.10/environment.bz2
- var/db/pkg/www-apps/gitea-1.21.10/gitea-1.21.10.ebuild
- var/db/pkg/www-apps/gitea-1.21.10/repository
- var/lib/gitea/.keep_www-apps_gitea-0
- var/lib/gitea/custom/.keep_www-apps_gitea-0
- var/lib/gitea/data/.keep_www-apps_gitea-0
- var/log/gitea/.keep_www-apps_gitea-0
package_cacheimage: ""
runtime:
  name: gitea
  version: 1.21.10
  category: www-apps
  use_flags:
  - filecaps
  requires:
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A painless self-hosted Git service
  uri:
  - https://gitea.com https://github.com/go-gitea/gitea
  license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
    DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: systemd +filecaps
    RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
    emerge.packages: www-apps/gitea
    kit: net-kit
    original.package.name: www-apps/gitea
    original.package.slot: "0"
    original.package.version: 1.21.10
